/***************************************************************************
 *   Copyright (C) 2009 by Kai Dombrowe <just89@gmx.de>                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA .        *
 ***************************************************************************/
#ifndef INDEX_H
#define INDEX_H

/// own
#include "yasp_export.h"


namespace Yasp {


class YASP_EXPORT Index
{


public:
    Index(const int& row = -1, const int& col = -1, const int& rows = -1, const int& cols = -1);
    void setIndex(const int& row, const int& col, const int& rows, const int& cols);
    int row();
    int column();
    int rowSpan();
    int columnSpan();


private:
    int _row;
    int _column;
    int _rowSpan;
    int _columnSpan;


};


} // namespace Yasp

#endif
